data:extend({
{
	type="mining-drill",
	name="mana-condenser",
	icon="__wizartorio__/graphics/icons/mana-condenser.png",
	flags = {"placeable-neutral", "player-creation"},
	minable = {mining_time = 1, result = "mana-condenser"},
	resource_categories = {"mana-source"},
	max_health = 100,
	corpse = "big-remnants",
	dying_explosion = "medium-explosion",
	collision_box = {{-2.4,-2.4},{2.4,2.4}},
	selection_box = {{-2.5,-2.5},{2.5,2.5}},
	drawing_box = {{-2.5,-6},{2.5,2.5}},
	energy_usage = "90kW",
	energy_source =
    {
      type = "electric",
      emissions = 0.15 / 1.5,
      usage_priority = "secondary-input"
    },
	fluid_box =
	{
		base_area = 1,
		base_level = 1,
		pipe_covers = pipecoverspictures(),
		pipe_connections =
		{
			{
				positions = { {1, -3}, {3, -1}, {-1, 3}, {-3, 1} }
			},
			{
				positions = { {-1, -3}, {3, 1}, {1, 3}, {-3, -1} }
			},
			{
				positions = { {1, 3}, {-3, -1}, {-1, -3}, {3, 1} }
			},
			{
				positions = { {-1, 3}, {-3, 1}, {1, -3}, {3, -1} }
			}
		}
	},
	mining_speed = 1,
	mining_power = 12,
	resource_searching_radius = 10,
	vector_to_place_result = {0,0},
	radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/pumpjack/pumpjack-radius-visualization.png",
      width = 12,
      height = 12
    },
	base_picture =
    {
      sheet =
      {
        filename = "__wizartorio__/graphics/entities/mana-condenser.png",
        priority = "extra-high",
        width = 400,
        height = 250,
        shift = {1.8, -1.15}
      }
    },
	animations =
	{
		north =
		{
			priority = "extra-high",
			width = 400,
			height = 250,
			line_length = 5,
			shift = {1.8, -1.15},
			filename = "__wizartorio__/graphics/entities/mana-condenser-animation.png",
			frame_count = 32,
			animation_speed = 0.4
		}
	},
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/pumpjack.ogg" },
      apparent_volume = 1.5,
    },
},
{
	type="assembling-machine",
	name="infuser",
	icon = "__wizartorio__/graphics/icons/infuser.png",
	flags = {"placeable-neutral", "placeable-player", "player-creation"},
	minable = {mining_time=1, result = "infuser"},
	max_health=100,
	corpse="medium-remnants",
	vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
	working_sound =
 	{
		sound = { filename = "__base__/sound/furnace.ogg", }
	},
	resistances =
	{
		{
			type = "fire",
			percent = 80
		},
		{
			type = "psychic",
			percent = 50
		},
		{
			type = "explosion",
			percent = 30
		},
	},
	fluid_boxes =
	{
		{
			production_type = "input",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 20,
			base_level = -1,
			pipe_connections = {{type="input", position = {0, -2}}}
		},
		{
			production_type = "output",
			pipe_pictures = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 10,
			base_level = 1,
			pipe_connections = {{type ="output", position = {0, 2}}}
		}
	},
	collision_box = {{-1.3,-1.3},{1.3,1.3}},
	selection_box = {{-1.5,-1.5},{1.5,1.5}},
	crafting_categories = {"mana-infusion"},
	result_inventory_size = 1,
	energy_usage = "180kW",
	crafting_speed = 1,
	ingredient_count = 1,
	energy_source = 
	{
		type = "burner",
		effectivity = 0.5,
		fuel_inventory_size = 1,
		emissions = 0.01,
		smoke =
		{
			{
				name = "smoke",
				deviation = {0.1,0.1},
				frequency = 5,
				position = {-0.75, -1.1},
				starting_vertical_speed = 0.08,
				starting_frame_deviation = 60
			}
		}
	},
	animation = 
	{
		filename = "__wizartorio__/graphics/entities/infuser.png",
		priority = "high",
		width = 125,
		height = 100,
		frame_count= 1,
		shift = {0.375,0}
	},
	working_visualizations =
	{
		{
			north_position = {0.0, 0.0},
			east_position = {0.0, 0.0},
			south_position = {0.0, 0.0},
			west_position = {0.0, 0.0},
			animation =
			{
				filename = "__wizartorio__/graphics/entities/infuser-fire.png",
				priority = "high",
				width = 12,
				height = 24,
				frame_count = 12,
				shift = {0.25, -0.6}
			},
			light = {intensity = 0.5, size = 1}
		}
	}
}
})