data:extend({
	{
		type = "recipe",
		name = "adamite-smelt",
		category = "smelting",
		energy_required = 2.0,
		ingredients = {{ "adamite-ore", 3}},
		icon = "__wizartorio__/graphics/icons/adamite-smelt.png",
		results = {
			{type = "item", name = "iron-ore", amount_min = 1, amount_max = 2},
			{type = "item", name = "copper-ore", amount_min = 1, amount_max = 2},
			{type = "item", name = "stone", amount_min = 1, amount_max = 1},
			{type = "item", name = "crystal-shard", amount_min = 1, amount_max = 1}
		},
		subgroup = "sorting-recipes"
	},
	
	{
		type = "recipe",
		name = "crystal-whole",
		ingredients = {{"crystal-shard", 8}},
		result = "crystal-whole"
	},
	
	{
		type = "recipe",
		name = "crystal-shard",
		ingredients = {{"crystal-whole", 1}},
		result = "crystal-shard",
		result_count = 6
	},
	
	{
		type = "recipe",
		name = "sort-crystal",
		category = "crafting",
		ingredients = {{"unsorted-crystal", 3}},
		results = {
			{type = "item", name = "crystal-shard", amount_min = 3, amount_max = 12},
			{type = "item", name = "crystal-whole", amount_min = 1, amount_max = 2}
		},
		icon = "__wizartorio__/graphics/icons/unsorted-crystal.png",
		subgroup = "sorting-recipes"
	},
	{
		type = "recipe",
		name = "crystal-rod",
		ingredients = {{"crystal-shard", 4}},
		result = "crystal-rod"
	},
	{
		type= "recipe",
		name = "mana-condenser",
		enabled = "false",
		ingredients = {{"crystal-whole", 4}, {"crystal-rod", 8}, {"iron-plate", 8}, {"stone-brick", 12}, {"pipe", 4}},
		icon ="__wizartorio__/graphics/icons/mana-condenser.png",
		result = "mana-condenser",
	},
	{
		type="recipe",
		name = "fire-energy-crystal",
		enabled = "false",
		category = "mana-infusion", 
		energy_required = 4,
		ingredients = {{type = "item", name = "crystal-whole", amount = 1}, {type="fluid", name = "condensed-fire-mana", amount = 4}},
		results = 
		{
			{type="item", name = "fire-energy-crystal", amount = 1}
		},
		icon = "__wizartorio__/graphics/icons/fire-energy-crystal.png",
	},
	{
		type="recipe",
		name = "water-energy-crystal",
		enabled = "false",
		category = "mana-infusion",
		energy_required = 4,
		ingredients = {{type = "item", name = "crystal-whole", amount = 1}, {type="fluid", name = "condensed-water-mana", amount = 4}},
		results = 
		{
			{type="item", name = "water-energy-crystal", amount = 1}
		},
		icon = "__wizartorio__/graphics/icons/water-energy-crystal.png",
	},
	{
		type="recipe",
		name = "earth-energy-crystal",
		enabled = "false",
		category = "mana-infusion", 
		energy_required = 4,
		ingredients = {{type = "item", name = "crystal-whole", amount = 1}, {type="fluid", name = "condensed-earth-mana", amount = 4}},
		results = 
		{
			{type="item", name = "earth-energy-crystal", amount = 1}
		},
		icon = "__wizartorio__/graphics/icons/earth-energy-crystal.png",
	},
	{
		type="recipe",
		name = "air-energy-crystal",
		enabled = "false",
		category = "mana-infusion", 
		energy_required = 4,
		ingredients = {{type = "item", name = "crystal-whole", amount = 1}, {type="fluid", name = "condensed-air-mana", amount = 4}},
		results = 
		{
			{type="item", name = "air-energy-crystal", amount = 1}
		},
		icon = "__wizartorio__/graphics/icons/air-energy-crystal.png",
	},
	{
		type = "recipe",
		name = "crystal-wand",
		enabled = "false",
		ingredients = {{"crystal-whole", 2}, {"crystal-rod", 2}},
		result = "crystal-wand"
	},
	{
		type = "recipe",
		name ="infuser",
		enabled = "false",
		ingredients = {{"crystal-shard", 10}, {"iron-plate", 6}, {"stone", 6}},
		result = "infuser"
	},
	{
		type = "recipe",
		name = "adamite-mix-fire",
		enabled = "false",
		category = "mana-infusion",
		ingredients = {{"adamite-ore", 1}, {type="fluid", name = "condensed-fire-mana", amount = 1}},
		result = "adamite-mix"
	},
	{
		type = "recipe",
		name = "adamite-mix-water",
		enabled = "false",
		category = "mana-infusion",
		ingredients = {{"adamite-ore", 1}, {type="fluid", name = "condensed-water-mana", amount = 1}},
		result = "adamite-mix"
	},
	{
		type = "recipe",
		name = "adamite-mix-earth",
		enabled = "false",
		category = "mana-infusion",
		ingredients = {{"adamite-ore", 1}, {type="fluid", name = "condensed-earth-mana", amount = 1}},
		result = "adamite-mix"
	},
	{
		type = "recipe",
		name = "adamite-mix-air",
		enabled = "false",
		category = "mana-infusion",
		ingredients = {{"adamite-ore", 1}, {type="fluid", name = "condensed-air-mana", amount = 1}},
		result = "adamite-mix"
	},
	{
		type = "recipe",
		name = "adamite-plate",
		enabled = "false",
		category = "smelting",
		ingredients = {{"adamite-mix", 1}},
		result = "adamite-plate"
	},
	{
		type = "recipe",
		name = "adamite-wand",
		enabled = "false",
		ingredients = {{"adamite-plate", 2}, {"crystal-rod", 2}},
		result = "adamite-wand"
	},
	{
		type = "recipe",
		name = "adamite-armor",
		enabled = "false",
		ingredients = {{"adamite-plate", 6}},
		result = "adamite-armor"
	}
})