data:extend(
{
	{
		type = "noise-layer",
		name = "adamite-ore"
	},
	{
		type = "noise-layer",
		name = "crystal"
	},
	{
		type = "resource",
		name = "adamite-ore",
		icon = "__wizartorio__/graphics/icons/adamite-ore.png",
		flags = {"placeable-neutral"},
		order = "a-b-f",
		infinite = true,
		minimum = 500,
		normal = 3000,
		maxium = 50000,
		minable =
		{
			hardness = 1.5,
			mining_particle = "adamite-particle",
			mining_time = 2,
			result = "adamite-ore"
		},
		collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
		autoplace =
		{
			control = "adamite-ore",
			sharpness = 1,
			richness_multiplier = 14000,
			richness_base = 350,
			size_control_multiplier = 0.02,
			peaks =
			{ 
        {
          influence = 0.3,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.65,
          noise_layer = "adamite-ore",
          noise_octaves_difference = -1.9,
          noise_persistence = 0.3,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.3,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.5,
          noise_layer = "adamite-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.4,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = -0.3,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.3,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.3,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.3,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        }

			}
		}, --This ends Autoplace, right?
		stage_counts = {0},
		stages =
		{
			sheet =
			{
				filename = "__wizartorio__/graphics/resources/adamite-ore.png",
				priority = "extra-high",
				width = 38,
				height = 38,
				frame_count = 4,
				variation_count = 1
			}
		},
		map_color = {r=0.2, g=0.1, b=0.56}
	},
	
	{
		type = "resource",
		name = "crystal",
		icon = "__wizartorio__/graphics/icons/crystal-whole.png",
		flags = {"placeable-neutral"},
		order = "a-b-g",
		minable =
		{
			hardness = 0.7,
			mining_particle = "crystal-particle",
			mining_time = 2,
			result = "unsorted-crystal"
		},
		collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
		autoplace =
		{
			control = "crystal",
			sharpness = 1,
			max_probability = 0.02,
			richness_multiplier = 11000,
			richness_base = 600,
			size_control_multiplier = 0.08,
			peaks =
			{
				{influence = 0.17},
				{
					influence = 0.2,
					starting_area_weight_optimal = 1,
					starting_area_weight_range = 1,
					starting_area_weight_max_range = 3
				},
				{
					influence = 0.7,
					noise_layer = "crystal",
					noise_octaves_difference = -1.8,
					noise_persistence = 0.5
				},
				{
          influence = -0.2,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
				},
				{
          influence = -0.2,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
				},
				{
          influence = -0.2,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
				}
			}
		},
		stage_counts = {0},
		stages =
		{ 
			sheet =
			{
				filename = "__wizartorio__/graphics/resources/crystal-ore.png",
				priority = "extra-high",
				width = 38,
				height = 38,
				frame_count = 4,
				variation_count = 1
			}
		},
		map_color = {r=0.9, g=0.45, b=0.45}
	},
{
	type = "noise-layer",
	name = "fire-mana"
},
{
	type = "noise-layer",
	name = "water-mana"
},
{
	type = "noise-layer",
	name = "earth-mana"
},
{
	type = "noise-layer",
	name = "air-mana"
},
{
	type = "resource",
	name = "fire-mana-node",
	icon = "__wizartorio__/graphics/icons/mana-node.png",
	flags = {"placeable-neutral"},
	category = "mana-source",
	order = "a-b-m",
	infinite = true,
	minimum = 200,
	normal = 400,
	minable =
	{
		hardness = 10,
		mining_time = 1,
		results =
		{
			{
				type="fluid",
				name="condensed-fire-mana",
				amount_min = 1,
				amount_max = 1,
				probability = 1
			}
		}
	},
	collision_box = {{-0.2,-0.2},{0.2,0.2}},
	selection_box = {{-0.5,-0.5},{0.5,0.5}},
	autoplace =
	{
		control = "mana-node",
		sharpness = 1,
		max_probability = 0.03,
		richness_multiplier = 1000,
		richness_base = 500,
		size_control_multiplier = 0.03,
		peaks = {
			{
				influence = 0.04
			},
			{
				influence = 0.35,
				starting_area_weight_optimal = 1,
				starting_area_weight_range = 0,
				starting_area_weight_max_range = 2.5,
			},
			{
				influence = 0.32,
				noise_layer = "fire-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "water-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "earth-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "air-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			}
		}
	},
	stage_counts = {0},
	stages =
	{
		sheet = 
		{
			filename = "__wizartorio__/graphics/resources/mana-node.png",
			priority = "extra-high",
			width = 38,
			height = 38,
			frame_count = 8,
			variation_count = 1
		}
	},
	map_color = {r=1,g=0.7,b=0.3},
	map_grid = false
},
{
	type = "resource",
	name = "water-mana-node",
	icon = "__wizartorio__/graphics/icons/mana-node.png",
	flags = {"placeable-neutral"},
	category = "mana-source",
	order = "a-b-m",
	infinite = true,
	minimum = 200,
	normal = 400,
	minable =
	{
		hardness = 10,
		mining_time = 1,
		results =
		{
			{
				type="fluid",
				name="condensed-fire-mana",
				amount_min = 1,
				amount_max = 1,
				probability = 1
			}
		}
	},
	collision_box = {{-0.2,-0.2},{0.2,0.2}},
	selection_box = {{-0.5,-0.5},{0.5,0.5}},
	autoplace =
	{
		control = "mana-node",
		sharpness = 1,
		max_probability = 0.03,
		richness_multiplier = 1000,
		richness_base = 500,
		size_control_multiplier = 0.03,
		peaks = {
			{
				influence = 0.04
			},
			{
				influence = 0.35,
				starting_area_weight_optimal = 1,
				starting_area_weight_range = 0,
				starting_area_weight_max_range = 2.5,
			},
			{
				influence = 0.32,
				noise_layer = "water-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "fire-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "earth-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "air-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			}
		}
	},
	stage_counts = {0},
	stages =
	{
		sheet = 
		{
			filename = "__wizartorio__/graphics/resources/mana-node.png",
			priority = "extra-high",
			width = 38,
			height = 38,
			frame_count = 8,
			variation_count = 1
		}
	},
	map_color = {r=1,g=0.7,b=0.3},
	map_grid = false
},
{
	type = "resource",
	name = "earth-mana-node",
	icon = "__wizartorio__/graphics/icons/mana-node.png",
	flags = {"placeable-neutral"},
	category = "mana-source",
	order = "a-b-m",
	infinite = true,
	minimum = 200,
	normal = 400,
	minable =
	{
		hardness = 10,
		mining_time = 1,
		results =
		{
			{
				type="fluid",
				name="condensed-earth-mana",
				amount_min = 1,
				amount_max = 1,
				probability = 1
			}
		}
	},
	collision_box = {{-0.2,-0.2},{0.2,0.2}},
	selection_box = {{-0.5,-0.5},{0.5,0.5}},
	autoplace =
	{
		control = "mana-node",
		sharpness = 1,
		max_probability = 0.03,
		richness_multiplier = 1000,
		richness_base = 500,
		size_control_multiplier = 0.03,
		peaks = {
			{
				influence = 0.04
			},
			{
				influence = 0.35,
				starting_area_weight_optimal = 1,
				starting_area_weight_range = 0,
				starting_area_weight_max_range = 2.5,
			},
			{
				influence = 0.32,
				noise_layer = "earth-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "water-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "fire-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "air-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			}
		}
	},
	stage_counts = {0},
	stages =
	{
		sheet = 
		{
			filename = "__wizartorio__/graphics/resources/mana-node.png",
			priority = "extra-high",
			width = 38,
			height = 38,
			frame_count = 8,
			variation_count = 1
		}
	},
	map_color = {r=1,g=0.7,b=0.3},
	map_grid = false
},
{
	type = "resource",
	name = "air-mana-node",
	icon = "__wizartorio__/graphics/icons/mana-node.png",
	flags = {"placeable-neutral"},
	category = "mana-source",
	order = "a-b-m",
	infinite = true,
	minimum = 200,
	normal = 400,
	minable =
	{
		hardness = 10,
		mining_time = 1,
		results =
		{
			{
				type="fluid",
				name="condensed-air-mana",
				amount_min = 1,
				amount_max = 1,
				probability = 1
			}
		}
	},
	collision_box = {{-0.2,-0.2},{0.2,0.2}},
	selection_box = {{-0.5,-0.5},{0.5,0.5}},
	autoplace =
	{
		control = "mana-node",
		sharpness = 1,
		max_probability = 0.03,
		richness_multiplier = 1000,
		richness_base = 500,
		size_control_multiplier = 0.03,
		peaks = {
			{
				influence = 0.04
			},
			{
				influence = 0.35,
				starting_area_weight_optimal = 1,
				starting_area_weight_range = 0,
				starting_area_weight_max_range = 2.5,
			},
			{
				influence = 0.32,
				noise_layer = "air-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "water-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "earth-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			},
			{
				influence = -0.2,
				noise_layer = "fire-mana",
				noise_octaves_difference = -2.7,
				noise_persistence = 0.3
			}
		}
	},
	stage_counts = {0},
	stages =
	{
		sheet = 
		{
			filename = "__wizartorio__/graphics/resources/mana-node.png",
			priority = "extra-high",
			width = 38,
			height = 38,
			frame_count = 8,
			variation_count = 1
		}
	},
	map_color = {r=1,g=0.7,b=0.3},
	map_grid = false
}
})